%global commit          676de227d75877eb5863ec805ba0a4b97fc2fc6c
%global snapshotdate    20210519
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%global common_description %{expand:
sjpeg is a simple encoding library for encoding baseline JPEG files. It's also a
command-line tool that takes PNG or JPEG images as input to produce JPEG files.}

Name:           sjpeg
Version:        0
Release:        0.1.%{snapshotdate}git%{shortcommit}%{?dist}
Summary:        SimpleJPEG: simple jpeg encoder

License:        ASL 2.0
URL:            https://github.com/webmproject/sjpeg
Source0:        %url/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# Move cmake files from datadir to libdir
# otherwise the cmake(sjpeg) Provides is not detected.
Patch0:         0001-Move-cmake-files-from-datadir-to-libdir.patch
Patch1:         0001-Generate-and-install-the-pkgconfig-file.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  libglvnd-devel
BuildRequires:  (pkgconfig(glut) or pkgconfig(freeglut))
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)

%description
%{common_description}


%package -n sjpeg-libs
Summary:        Library files for sjpeg

%description -n sjpeg-libs
%{common_description}

Library files for sjpeg.


%package -n sjpeg-devel
Summary:        Development files for sjpeg
Requires:       sjpeg-libs%{?_isa} = %{version}-%{release}

%description -n sjpeg-devel
%{common_description}

Development files for sjpeg.

%prep
%autosetup -p1 -n %{name}-%{commit}
sed -i "s|DESTINATION lib|DESTINATION \${LIB_INSTALL_DIR}|" CMakeLists.txt
sed -i "s|ConfigPackageLocation lib|ConfigPackageLocation \${LIB_INSTALL_DIR}|" CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license COPYING
%{_bindir}/sjpeg
%{_bindir}/vjpeg
%{_mandir}/man1/sjpeg.1.*
%{_mandir}/man1/vjpeg.1.*

%files -n sjpeg-libs
%license COPYING
%doc AUTHORS ChangeLog NEWS README.md
%{_libdir}/libsjpeg.so.0.1

%files -n sjpeg-devel
%doc examples/
%{_includedir}/sjpeg.h
%{_libdir}/libsjpeg.so
%{_libdir}/cmake/sjpeg/
%{_libdir}/pkgconfig/libsjpeg.pc

%changelog
* Sat Dec 12 18:37:36 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20210519git676de22
- Initial build
